Delete Template
curl --request DELETE \
--url 'https://api.trysiren.io/api/v1/public/template/{{template_id}}' \
--header 'Authorization: <authorization>'import requests
url = "https://api.trysiren.io/api/v1/public/template/{{template_id}}"
headers = {"Authorization": "<authorization>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};
fetch('https://api.trysiren.io/api/v1/public/template/{{template_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"templateId": "UUID" // Template ID that was deleted
},
"error": null,
"errors": null,
"meta": null
}
{
"data": null,
"error": {
"errorCode": "BAD_REQUEST",
"message": "Bad request"
},
"errors": [
{
"errorCode": "BAD_REQUEST",
"message": "Bad request"
}
],
"meta": null
}
{
"data": null,
"error": {
"errorCode": "UNAUTHORISED",
"message": "Unauthorised"
},
"errors": [
{
"errorCode": "UNAUTHORISED",
"message": "Unauthorised"
}
],
"meta": null
}
{
"data": null,
"error": {
"errorCode": "NOT FOUND",
"message": "Not found"
},
"errors": [
{
"errorCode": "NOT FOUND",
"message": "Not found"
}
],
"meta": null
}
Template APIs
Delete Template
Delete an existing template
DELETE
/
api
/
v1
/
public
/
template
/
{template_id}
Delete Template
Header
string
required
Bearer token for API authentication. Format:
Bearer {{apiToken}}Query Parameters
UUID
required
The ID of the template to delete.
Response
{
"data": {
"templateId": "UUID" // Template ID that was deleted
},
"error": null,
"errors": null,
"meta": null
}
{
"data": null,
"error": {
"errorCode": "BAD_REQUEST",
"message": "Bad request"
},
"errors": [
{
"errorCode": "BAD_REQUEST",
"message": "Bad request"
}
],
"meta": null
}
{
"data": null,
"error": {
"errorCode": "UNAUTHORISED",
"message": "Unauthorised"
},
"errors": [
{
"errorCode": "UNAUTHORISED",
"message": "Unauthorised"
}
],
"meta": null
}
{
"data": null,
"error": {
"errorCode": "NOT FOUND",
"message": "Not found"
},
"errors": [
{
"errorCode": "NOT FOUND",
"message": "Not found"
}
],
"meta": null
}
Status Codes
200- OK400- BAD REQUEST401- UNAUTHORISED404- NOT FOUND
Was this page helpful?
⌘I